#
# Conditional build:
%bcond_without	ipv6		# disable IPv6 support
%bcond_without	tests	# do not perform "make test"

%define		mod_name	rpaf
%define 	apxs		%{_sbindir}/apxs1
Summary:	Reverse proxy add forward module for Apache
Summary(pl.UTF-8):	Moduł Apache'a dodający przekazywanie dla odwrotnych proxy
Name:		apache1-mod_%{mod_name}
Version:	0.6
Release:	2
License:	Apache
Group:		Networking/Daemons
Source0:	http://stderr.net/apache/rpaf/download/mod_rpaf-%{version}.tar.gz
# Source0-md5:	ba2b89274e1dd4c0f96f8d034fa305b1
Source1:	%{name}.conf
Patch0:		mod_rpaf_degtine.patch
Patch1:		tests.patch
URL:		http://stderr.net/apache/rpaf/
BuildRequires:	apache1-devel >= 1.3.39
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache1(EAPI)
Provides:	apache(mod_rpaf)
%if %{with ipv6}
BuildRequires:	apache1(ipv6)-devel
Requires:	apache1(ipv6)
%else
BuildConflicts:	apache1(ipv6)-devel
Conflicts:	apache1(ipv6)
%endif
%if %{with tests}
BuildRequires:	apache1-base
BuildRequires:	apache1-mod_alias
BuildRequires:	apache1-mod_cgi
BuildRequires:	apache1-mod_log_config
BuildRequires:	apache1-mod_mime
BuildRequires:	apache1-mod_rewrite
BuildRequires:	perl-libwww
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjoern Hansen. It will also work
with mod_proxy in Apache starting with release 1.3.25.

%description -l en.UTF-8
rpaf is for backend Apache servers what mod_proxy_add_forward is for
frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjørn Hansen. It will also work
with mod_proxy in Apache starting with release 1.3.25.

%description -l pl.UTF-8
rpaf jest dla backendowych serwerów Apache tym, czym
mod_proxy_add_forward jest dla frontendowych. Wykonuje dokładnie
przeciwne operacje do mod_proxy_add_forward napisanego przez Aska
Bjoerna Hansena. Będzie także działać z mod_proxy w Apache'u począwszy
od wersji 1.3.25.

%prep
%setup -qc
mv mod_%{mod_name}-%{version}/* .
%patch0 -p1
%patch1 -p1

%build
%{apxs} -c mod_%{mod_name}.c -o mod_%{mod_name}.so

%if %{with tests}
ln -sf %{_libdir}/apache1 modules
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install -p mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/99_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*
%changelog
* Tue Nov 22 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apache1-mod_rpaf.git;a=log;h=master

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> eb6fe58
- define ServerName -- apache: cannot determine local host name.

* Thu Dec 22 2011 Elan Ruusamäe <glen@pld-linux.org> e27d3d4
- run tests

* Fri Oct 23 2009 Elan Ruusamäe <glen@pld-linux.org> 70256a6
- unique topdir

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> ee882fa
- restored version macro in Source0

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> 3467e29
- outdated

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 969dab6
- update to 0.6
- merged ipv6 patch to degtine patch

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> d817ba1
- rediff

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 4e34ea1
- merged ipv6 patches

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 6f9e998
- update to 0.6

* Sun Nov 04 2007 Elan Ruusamäe <glen@pld-linux.org> 6cfb422
- apxs1 in apache1-devel now

* Tue Oct 30 2007 Elan Ruusamäe <glen@pld-linux.org> e113690
- rel 9

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> d0967cd
- same as mod_rpaf_detine.patch, but with ipv6 enabled in apache1

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 0b8fe18
- fix patch with ipv6 enabled

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 1d577fa
- mod_rpaf patched to allow multiple chained proxies (needed to use pound balancer) (by alpha)
- rel 7

* Thu Sep 27 2007 Elan Ruusamäe <glen@pld-linux.org> 11a22cd
- revision 1.1
date: 2007/09/26 14:56:57;  author: alpha;  state: Exp;
- "degtine" stands for "vodka" in .lt
- see http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg210747.html

* Thu Mar 22 2007 Elan Ruusamäe <glen@pld-linux.org> 3cb9c05
- if ipv6 enabled, require ipv6 enabled apache. issue 10241

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 238fefa
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aea7e3a
- converted to UTF-8

* Thu Feb 08 2007 Elan Ruusamäe <glen@pld-linux.org> eb5d132
- Provide apache(mod_rpaf); rel 5

* Tue Jan 23 2007 Elan Ruusamäe <glen@pld-linux.org> f90f2dd
- rel 4 (R: apache1(EAPI) instead of apache1)

